Name:		extra-p
Version:	1.0
Release:	1%{?dist}
Summary:	Automatic parallel performance-modeling tool
License:	BSD
URL:		http://www.scalasca.org/software/extra-p
Source0:	http://apps.fz-juelich.de/scalasca/releases/extra-p/extra-p-%version.tar.gz
# Could also be qt5, but cube uses qt4
BuildRequires:	qt4-devel
BuildRequires:	cube-devel >= 4.3, zlib-devel, chrpath

%description

Extra-P is an automatic performance-modeling tool that supports the
user in the identification of scalability bugs.  A scalability bug is
a part of the program whose scaling behavior is unintentionally poor,
that is, much worse than expected.

Extra-P uses measurements of various performance metrics at different
processor configurations as input to represent the performance of code
regions (including their calling context) as a function of the number
of processes.  All it takes to search for scalability issues even in
full-blown codes is to run a manageable number of small-scale
performance experiments, launch Extra-P, and compare the asymptotic or
extrapolated performance of the worst instances to the expectations.
Besides the number of processes, it is also possible to consider other
parameters such as the input problem size.

Extra-P generates not only a list of potential scalability bugs but
also human-readable models for all performance metrics available such
as floating-point operations or bytes sent by MPI calls that can be
further analyzed and compared to identify the root causes of
scalability issues.

%prep
%setup -q


%build
# specify /usr to avoid qmake from qt3 or SGE
%configure --with-qt=/usr --disable-static
make


%install

# Fixme: installation of plugins needs INSTALL_ROOT
make install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}
[ $(basename %_libdir) = lib ] ||
  mv %buildroot%_prefix/lib/cube-plugins %buildroot%_libdir/cube-plugins
rm %buildroot%_libdir/*.la
mv %buildroot%_docdir/extra-p/examples .
chrpath -d %buildroot%_libdir/cube-plugins/*.so


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%{!?_licensedir:%global license %%doc}

%files
%doc AUTHORS ChangeLog README examples
# currently empty
#%doc NEWS
%license COPYING
%exclude %_libdir/*.so
%_libdir/*.so.*
%_libdir/cube-plugins
%_bindir/extrap
%_datadir/extra-p


%changelog
* Fri Jan  8 2016 Dave Love <loveshack@fedoraproject.org> - 1.0-1
- Initial package
